Page MenuHomeFreeBSD

Change the meaning of NO_WRKSUBDIR to force a WRKDIR != WRKSRC.
ClosedPublic

Authored by mat on Jun 4 2015, 8:59 PM.

Details

Summary

Right now, NO_WRKSUBDIR means that the extraction does not produce a subdirectory, and that everything is living in WRKDIR. It is problematic, because during the build of a port, quite a few files are created in there, and then, a stage directory, where everything is installed, and then a pkg directory where the package is created.

With this, NO_WRKSUBDIR will extract the distfiles directly into WRKSRC instead of WRKDIR.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mat retitled this revision from to Change the meaning of NO_WRKSUBDIR to force a WRKDIR != WRKSRC..Jun 4 2015, 8:59 PM
mat updated this object.
mat edited the test plan for this revision. (Show Details)
mat updated this revision to Diff 5951.
bapt added a reviewer: bapt.Jun 4 2015, 9:04 PM
bapt accepted this revision.
bapt added a subscriber: bapt.

accepted only if it passes an exp-run

This revision is now accepted and ready to land.Jun 4 2015, 9:04 PM
mat edited edge metadata.Jun 4 2015, 9:14 PM
mat updated this revision to Diff 5954.

Update the documentation.

This revision now requires review to proceed.Jun 4 2015, 9:14 PM
mat updated this object.Jun 4 2015, 10:15 PM
mat edited edge metadata.
mat updated this revision to Diff 5961.Jun 5 2015, 8:55 AM

Include lha and zip in the use of EXTRACT_WRKDIR.

mat updated this revision to Diff 9735.Oct 27 2015, 2:12 PM

Rebase.

antoine added inline comments.
Mk/bsd.port.mk
529 ↗(On Diff #9735)

there is a strange character in this line

mat added inline comments.Oct 28 2015, 7:44 PM
Mk/bsd.port.mk
529 ↗(On Diff #9735)

Mmm, yes, there was a non breaking space, fixed.

mat updated this revision to Diff 9773.Oct 28 2015, 7:44 PM
  • some non breaking space got included.
mat marked 2 inline comments as done.Oct 28 2015, 7:44 PM
mat updated this revision to Diff 9819.Oct 30 2015, 12:22 PM
  • Fix linux ports, I think.
mat updated this revision to Diff 9903.Nov 3 2015, 11:41 AM

Rebase and reduce commits.

mat updated this revision to Diff 9905.Nov 3 2015, 1:55 PM

once more.

This revision was automatically updated to reflect the committed changes.
This revision was automatically updated to reflect the committed changes.